---
sidebar_position: 2
description: Get auth parameters and other functions to work with VK in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, VK]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get auth parameters
 Gets the structure of authorization parameters



`Function GetAuthParameters(Val GroupID, Val AppID, Val AuthToken) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | GroupID | --group | String, Number | &#x2714; | Group ID |
  | AppID | --app | String, Number | &#x2714; | App ID |
  | AuthToken | --token | String | &#x2714; | Auth token |

  
  Returns:  Structure - Get auth parameters



```bsl title="1C:Enterprise/OneScript code example"
    GroupID = "218861756";
    AppID   = "51694790";
    Token   = "vk1.a.bem0q4ee0ZFzipCOx9iuOETGXuSligRy2xM7y_6QLt_rntCagXXIxt928Thwa9Gt_rhmLw2yUr9sOzW8EoOTg8QyNVvJ0S4gq4y5tBj-...";

    Result = OPI_VK.GetAuthParameters(GroupID, AppID, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint vk GetAuthParameters \
             --group "218861756" \
             --app "51694790" \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint vk GetAuthParameters ^
             --group "218861756" ^
             --app "51694790" ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "v": "5.131",
 "from_group": "1",
 "group_id": "218861756",
 "owner_id": "-218861756",
 "app_id": "51694790",
 "access_token": "***"
}
```
